lang/py-libcst - The NetBSD Packages Collection

Concrete syntax tree with AST-like properties for Python

LibCST parses Python 3.0 -> 3.11 source code as a CST tree that
keeps all formatting details (comments, whitespaces, parentheses,
etc). It's useful for building automated refactoring (codemod)
applications and linters.

LibCST creates a compromise between an Abstract Syntax Tree (AST)
and a traditional Concrete Syntax Tree (CST). By carefully reorganizing
and naming node types and fields, we've created a lossless CST that
looks and feels like an AST.

Build dependencies

devel/py-setuptools-rust devel/py-setuptools_scm lang/rust devel/py-setuptools pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

devel/py-typing-extensions devel/py-typing-inspect textproc/py-yaml lang/python310 lang/python310

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64py310-libcst-0.4.7.tgz
NetBSD 10.0aarch64py37-libcst-0.4.7.tgz
NetBSD 10.0aarch64py38-libcst-0.4.7.tgz
NetBSD 10.0aarch64py39-libcst-0.4.7.tgz
NetBSD 10.0aarch64py310-libcst-0.4.9.tgz
NetBSD 10.0aarch64py311-libcst-0.4.9.tgz
NetBSD 10.0aarch64py38-libcst-0.4.9.tgz
NetBSD 10.0aarch64py39-libcst-0.4.9.tgz
NetBSD 10.0earmv7hfpy310-libcst-0.4.7.tgz
NetBSD 10.0earmv7hfpy37-libcst-0.4.7.tgz
NetBSD 10.0earmv7hfpy38-libcst-0.4.7.tgz
NetBSD 10.0earmv7hfpy39-libcst-0.4.7.tgz
NetBSD 10.0earmv7hfpy310-libcst-0.4.9.tgz
NetBSD 10.0earmv7hfpy311-libcst-0.4.9.tgz
NetBSD 10.0earmv7hfpy38-libcst-0.4.9.tgz
NetBSD 10.0earmv7hfpy39-libcst-0.4.9.tgz
NetBSD 10.0i386py310-libcst-0.4.7.tgz
NetBSD 10.0i386py37-libcst-0.4.7.tgz
NetBSD 10.0i386py38-libcst-0.4.7.tgz
NetBSD 10.0i386py39-libcst-0.4.7.tgz
NetBSD 10.0powerpcpy310-libcst-0.4.7.tgz
NetBSD 10.0powerpcpy37-libcst-0.4.7.tgz
NetBSD 10.0powerpcpy38-libcst-0.4.7.tgz
NetBSD 10.0powerpcpy39-libcst-0.4.7.tgz
NetBSD 10.0powerpcpy310-libcst-0.4.7.tgz
NetBSD 10.0powerpcpy37-libcst-0.4.7.tgz
NetBSD 10.0powerpcpy38-libcst-0.4.7.tgz
NetBSD 10.0powerpcpy39-libcst-0.4.7.tgz
NetBSD 10.0x86_64py310-libcst-0.4.9.tgz
NetBSD 10.0x86_64py311-libcst-0.4.9.tgz
NetBSD 10.0x86_64py38-libcst-0.4.9.tgz
NetBSD 10.0x86_64py39-libcst-0.4.9.tgz
NetBSD 10.0x86_64py310-libcst-0.4.7.tgz
NetBSD 10.0x86_64py37-libcst-0.4.7.tgz
NetBSD 10.0x86_64py38-libcst-0.4.7.tgz
NetBSD 10.0x86_64py39-libcst-0.4.7.tgz
NetBSD 8.0powerpcpy310-libcst-0.4.9.tgz
NetBSD 8.0powerpcpy311-libcst-0.4.9.tgz
NetBSD 8.0powerpcpy38-libcst-0.4.9.tgz
NetBSD 8.0powerpcpy39-libcst-0.4.9.tgz
NetBSD 8.0powerpcpy310-libcst-0.4.9.tgz
NetBSD 8.0powerpcpy311-libcst-0.4.9.tgz
NetBSD 8.0powerpcpy38-libcst-0.4.9.tgz
NetBSD 8.0powerpcpy39-libcst-0.4.9.tgz
NetBSD 8.0x86_64py310-libcst-0.4.3.tgz
NetBSD 8.0x86_64py37-libcst-0.4.3.tgz
NetBSD 8.0x86_64py38-libcst-0.4.3.tgz
NetBSD 8.0x86_64py39-libcst-0.4.3.tgz
NetBSD 8.0x86_64py310-libcst-0.4.7.tgz
NetBSD 8.0x86_64py37-libcst-0.4.7.tgz
NetBSD 8.0x86_64py38-libcst-0.4.7.tgz
NetBSD 8.0x86_64py39-libcst-0.4.7.tgz
NetBSD 9.0aarch64py310-libcst-0.4.7.tgz
NetBSD 9.0aarch64py37-libcst-0.4.7.tgz
NetBSD 9.0aarch64py38-libcst-0.4.7.tgz
NetBSD 9.0aarch64py39-libcst-0.4.7.tgz
NetBSD 9.0aarch64py310-libcst-0.4.3.tgz
NetBSD 9.0aarch64py37-libcst-0.4.3.tgz
NetBSD 9.0aarch64py38-libcst-0.4.3.tgz
NetBSD 9.0aarch64py39-libcst-0.4.3.tgz
NetBSD 9.0aarch64py310-libcst-0.4.9.tgz
NetBSD 9.0aarch64py311-libcst-0.4.9.tgz
NetBSD 9.0aarch64py38-libcst-0.4.9.tgz
NetBSD 9.0aarch64py39-libcst-0.4.9.tgz
NetBSD 9.0earmv7hfpy310-libcst-0.4.7.tgz
NetBSD 9.0earmv7hfpy37-libcst-0.4.7.tgz
NetBSD 9.0earmv7hfpy38-libcst-0.4.7.tgz
NetBSD 9.0earmv7hfpy39-libcst-0.4.7.tgz
NetBSD 9.0earmv7hfpy310-libcst-0.4.9.tgz
NetBSD 9.0earmv7hfpy311-libcst-0.4.9.tgz
NetBSD 9.0earmv7hfpy38-libcst-0.4.9.tgz
NetBSD 9.0earmv7hfpy39-libcst-0.4.9.tgz
NetBSD 9.0earmv7hfpy310-libcst-0.4.3.tgz
NetBSD 9.0earmv7hfpy37-libcst-0.4.3.tgz
NetBSD 9.0earmv7hfpy38-libcst-0.4.3.tgz
NetBSD 9.0earmv7hfpy39-libcst-0.4.3.tgz
NetBSD 9.0i386py310-libcst-0.4.3.tgz
NetBSD 9.0i386py37-libcst-0.4.3.tgz
NetBSD 9.0i386py38-libcst-0.4.3.tgz
NetBSD 9.0i386py39-libcst-0.4.3.tgz
NetBSD 9.0i386py310-libcst-0.4.3.tgz
NetBSD 9.0i386py37-libcst-0.4.3.tgz
NetBSD 9.0i386py38-libcst-0.4.3.tgz
NetBSD 9.0i386py39-libcst-0.4.3.tgz
NetBSD 9.0i386py310-libcst-0.4.7.tgz
NetBSD 9.0i386py37-libcst-0.4.7.tgz
NetBSD 9.0i386py38-libcst-0.4.7.tgz
NetBSD 9.0i386py39-libcst-0.4.7.tgz
NetBSD 9.0powerpcpy310-libcst-0.4.7.tgz
NetBSD 9.0powerpcpy37-libcst-0.4.7.tgz
NetBSD 9.0powerpcpy38-libcst-0.4.7.tgz
NetBSD 9.0powerpcpy39-libcst-0.4.7.tgz
NetBSD 9.0powerpcpy310-libcst-0.4.3.tgz
NetBSD 9.0powerpcpy37-libcst-0.4.3.tgz
NetBSD 9.0powerpcpy38-libcst-0.4.3.tgz
NetBSD 9.0powerpcpy39-libcst-0.4.3.tgz
NetBSD 9.0powerpcpy310-libcst-0.4.7.tgz
NetBSD 9.0powerpcpy37-libcst-0.4.7.tgz
NetBSD 9.0powerpcpy38-libcst-0.4.7.tgz
NetBSD 9.0powerpcpy39-libcst-0.4.7.tgz
NetBSD 9.0sparc64py310-libcst-0.4.3.tgz
NetBSD 9.0sparc64py37-libcst-0.4.3.tgz
NetBSD 9.0sparc64py38-libcst-0.4.3.tgz
NetBSD 9.0sparc64py39-libcst-0.4.3.tgz
NetBSD 9.0sparc64py310-libcst-0.4.7.tgz
NetBSD 9.0sparc64py37-libcst-0.4.7.tgz
NetBSD 9.0sparc64py38-libcst-0.4.7.tgz
NetBSD 9.0sparc64py39-libcst-0.4.7.tgz
NetBSD 9.0sparc64py310-libcst-0.4.9.tgz
NetBSD 9.0sparc64py311-libcst-0.4.9.tgz
NetBSD 9.0sparc64py38-libcst-0.4.9.tgz
NetBSD 9.0sparc64py39-libcst-0.4.9.tgz
NetBSD 9.0x86_64py310-libcst-0.4.3.tgz
NetBSD 9.0x86_64py37-libcst-0.4.3.tgz
NetBSD 9.0x86_64py38-libcst-0.4.3.tgz
NetBSD 9.0x86_64py39-libcst-0.4.3.tgz
NetBSD 9.0x86_64py310-libcst-0.4.3.tgz
NetBSD 9.0x86_64py37-libcst-0.4.3.tgz
NetBSD 9.0x86_64py38-libcst-0.4.3.tgz
NetBSD 9.0x86_64py39-libcst-0.4.3.tgz
NetBSD 9.0x86_64py310-libcst-0.4.3.tgz
NetBSD 9.0x86_64py37-libcst-0.4.3.tgz
NetBSD 9.0x86_64py38-libcst-0.4.3.tgz
NetBSD 9.0x86_64py39-libcst-0.4.3.tgz
NetBSD 9.0x86_64py310-libcst-0.4.7.tgz
NetBSD 9.0x86_64py37-libcst-0.4.7.tgz
NetBSD 9.0x86_64py38-libcst-0.4.7.tgz
NetBSD 9.0x86_64py39-libcst-0.4.7.tgz
NetBSD 9.0x86_64py310-libcst-0.4.3.tgz
NetBSD 9.0x86_64py37-libcst-0.4.3.tgz
NetBSD 9.0x86_64py38-libcst-0.4.3.tgz
NetBSD 9.0x86_64py39-libcst-0.4.3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.